/**
 * @fileoverview gRPC-Web generated client stub for auth
 * @enhanceable
 * @public
 */
import * as grpcWeb from 'grpc-web';
import * as auth_pb from './auth_pb';
export declare class AuthClient {
    client_: grpcWeb.AbstractClientBase;
    hostname_: string;
    credentials_: null | {
        [index: string]: string;
    };
    options_: null | {
        [index: string]: any;
    };
    constructor(hostname: string, credentials?: null | {
        [index: string]: string;
    }, options?: null | {
        [index: string]: any;
    });
    methodDescriptorLogin: grpcWeb.MethodDescriptor<auth_pb._LoginRequest, auth_pb._LoginResponse>;
    login(request: auth_pb._LoginRequest, metadata?: grpcWeb.Metadata): grpcWeb.ClientReadableStream<auth_pb._LoginResponse>;
    methodDescriptorGenerateApiToken: grpcWeb.MethodDescriptor<auth_pb._GenerateApiTokenRequest, auth_pb._GenerateApiTokenResponse>;
    generateApiToken(request: auth_pb._GenerateApiTokenRequest, metadata: grpcWeb.Metadata | null): Promise<auth_pb._GenerateApiTokenResponse>;
    generateApiToken(request: auth_pb._GenerateApiTokenRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: auth_pb._GenerateApiTokenResponse) => void): grpcWeb.ClientReadableStream<auth_pb._GenerateApiTokenResponse>;
    methodDescriptorRefreshApiToken: grpcWeb.MethodDescriptor<auth_pb._RefreshApiTokenRequest, auth_pb._RefreshApiTokenResponse>;
    refreshApiToken(request: auth_pb._RefreshApiTokenRequest, metadata: grpcWeb.Metadata | null): Promise<auth_pb._RefreshApiTokenResponse>;
    refreshApiToken(request: auth_pb._RefreshApiTokenRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: auth_pb._RefreshApiTokenResponse) => void): grpcWeb.ClientReadableStream<auth_pb._RefreshApiTokenResponse>;
}
