/**
 * @fileoverview gRPC-Web generated client stub for cache_client
 * @enhanceable
 * @public
 */
import * as grpcWeb from 'grpc-web';
import * as cacheping_pb from './cacheping_pb';
export declare class PingClient {
    client_: grpcWeb.AbstractClientBase;
    hostname_: string;
    credentials_: null | {
        [index: string]: string;
    };
    options_: null | {
        [index: string]: any;
    };
    constructor(hostname: string, credentials?: null | {
        [index: string]: string;
    }, options?: null | {
        [index: string]: any;
    });
    methodDescriptorPing: grpcWeb.MethodDescriptor<cacheping_pb._PingRequest, cacheping_pb._PingResponse>;
    ping(request: cacheping_pb._PingRequest, metadata: grpcWeb.Metadata | null): Promise<cacheping_pb._PingResponse>;
    ping(request: cacheping_pb._PingRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: cacheping_pb._PingResponse) => void): grpcWeb.ClientReadableStream<cacheping_pb._PingResponse>;
}
