/**
 * @fileoverview gRPC-Web generated client stub for webhook
 * @enhanceable
 * @public
 */
import * as grpcWeb from 'grpc-web';
import * as webhook_pb from './webhook_pb';
export declare class WebhookClient {
    client_: grpcWeb.AbstractClientBase;
    hostname_: string;
    credentials_: null | {
        [index: string]: string;
    };
    options_: null | {
        [index: string]: any;
    };
    constructor(hostname: string, credentials?: null | {
        [index: string]: string;
    }, options?: null | {
        [index: string]: any;
    });
    methodDescriptorPutWebhook: grpcWeb.MethodDescriptor<webhook_pb._PutWebhookRequest, webhook_pb._PutWebhookResponse>;
    putWebhook(request: webhook_pb._PutWebhookRequest, metadata: grpcWeb.Metadata | null): Promise<webhook_pb._PutWebhookResponse>;
    putWebhook(request: webhook_pb._PutWebhookRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: webhook_pb._PutWebhookResponse) => void): grpcWeb.ClientReadableStream<webhook_pb._PutWebhookResponse>;
    methodDescriptorDeleteWebhook: grpcWeb.MethodDescriptor<webhook_pb._DeleteWebhookRequest, webhook_pb._DeleteWebhookResponse>;
    deleteWebhook(request: webhook_pb._DeleteWebhookRequest, metadata: grpcWeb.Metadata | null): Promise<webhook_pb._DeleteWebhookResponse>;
    deleteWebhook(request: webhook_pb._DeleteWebhookRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: webhook_pb._DeleteWebhookResponse) => void): grpcWeb.ClientReadableStream<webhook_pb._DeleteWebhookResponse>;
    methodDescriptorListWebhooks: grpcWeb.MethodDescriptor<webhook_pb._ListWebhookRequest, webhook_pb._ListWebhooksResponse>;
    listWebhooks(request: webhook_pb._ListWebhookRequest, metadata: grpcWeb.Metadata | null): Promise<webhook_pb._ListWebhooksResponse>;
    listWebhooks(request: webhook_pb._ListWebhookRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: webhook_pb._ListWebhooksResponse) => void): grpcWeb.ClientReadableStream<webhook_pb._ListWebhooksResponse>;
    methodDescriptorGetWebhookSecret: grpcWeb.MethodDescriptor<webhook_pb._GetWebhookSecretRequest, webhook_pb._GetWebhookSecretResponse>;
    getWebhookSecret(request: webhook_pb._GetWebhookSecretRequest, metadata: grpcWeb.Metadata | null): Promise<webhook_pb._GetWebhookSecretResponse>;
    getWebhookSecret(request: webhook_pb._GetWebhookSecretRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: webhook_pb._GetWebhookSecretResponse) => void): grpcWeb.ClientReadableStream<webhook_pb._GetWebhookSecretResponse>;
    methodDescriptorRotateWebhookSecret: grpcWeb.MethodDescriptor<webhook_pb._RotateWebhookSecretRequest, webhook_pb._RotateWebhookSecretResponse>;
    rotateWebhookSecret(request: webhook_pb._RotateWebhookSecretRequest, metadata: grpcWeb.Metadata | null): Promise<webhook_pb._RotateWebhookSecretResponse>;
    rotateWebhookSecret(request: webhook_pb._RotateWebhookSecretRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: webhook_pb._RotateWebhookSecretResponse) => void): grpcWeb.ClientReadableStream<webhook_pb._RotateWebhookSecretResponse>;
}
