import * as jspb from 'google-protobuf'



export class _SimilarityMetric extends jspb.Message {
  getEuclideanSimilarity(): _SimilarityMetric._EuclideanSimilarity | undefined;
  setEuclideanSimilarity(value?: _SimilarityMetric._EuclideanSimilarity): _SimilarityMetric;
  hasEuclideanSimilarity(): boolean;
  clearEuclideanSimilarity(): _SimilarityMetric;

  getInnerProduct(): _SimilarityMetric._InnerProduct | undefined;
  setInnerProduct(value?: _SimilarityMetric._InnerProduct): _SimilarityMetric;
  hasInnerProduct(): boolean;
  clearInnerProduct(): _SimilarityMetric;

  getCosineSimilarity(): _SimilarityMetric._CosineSimilarity | undefined;
  setCosineSimilarity(value?: _SimilarityMetric._CosineSimilarity): _SimilarityMetric;
  hasCosineSimilarity(): boolean;
  clearCosineSimilarity(): _SimilarityMetric;

  getSimilarityMetricCase(): _SimilarityMetric.SimilarityMetricCase;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _SimilarityMetric.AsObject;
  static toObject(includeInstance: boolean, msg: _SimilarityMetric): _SimilarityMetric.AsObject;
  static serializeBinaryToWriter(message: _SimilarityMetric, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _SimilarityMetric;
  static deserializeBinaryFromReader(message: _SimilarityMetric, reader: jspb.BinaryReader): _SimilarityMetric;
}

export namespace _SimilarityMetric {
  export type AsObject = {
    euclideanSimilarity?: _SimilarityMetric._EuclideanSimilarity.AsObject,
    innerProduct?: _SimilarityMetric._InnerProduct.AsObject,
    cosineSimilarity?: _SimilarityMetric._CosineSimilarity.AsObject,
  }

  export class _EuclideanSimilarity extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): _EuclideanSimilarity.AsObject;
    static toObject(includeInstance: boolean, msg: _EuclideanSimilarity): _EuclideanSimilarity.AsObject;
    static serializeBinaryToWriter(message: _EuclideanSimilarity, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): _EuclideanSimilarity;
    static deserializeBinaryFromReader(message: _EuclideanSimilarity, reader: jspb.BinaryReader): _EuclideanSimilarity;
  }

  export namespace _EuclideanSimilarity {
    export type AsObject = {
    }
  }


  export class _InnerProduct extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): _InnerProduct.AsObject;
    static toObject(includeInstance: boolean, msg: _InnerProduct): _InnerProduct.AsObject;
    static serializeBinaryToWriter(message: _InnerProduct, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): _InnerProduct;
    static deserializeBinaryFromReader(message: _InnerProduct, reader: jspb.BinaryReader): _InnerProduct;
  }

  export namespace _InnerProduct {
    export type AsObject = {
    }
  }


  export class _CosineSimilarity extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): _CosineSimilarity.AsObject;
    static toObject(includeInstance: boolean, msg: _CosineSimilarity): _CosineSimilarity.AsObject;
    static serializeBinaryToWriter(message: _CosineSimilarity, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): _CosineSimilarity;
    static deserializeBinaryFromReader(message: _CosineSimilarity, reader: jspb.BinaryReader): _CosineSimilarity;
  }

  export namespace _CosineSimilarity {
    export type AsObject = {
    }
  }


  export enum SimilarityMetricCase { 
    SIMILARITY_METRIC_NOT_SET = 0,
    EUCLIDEAN_SIMILARITY = 1,
    INNER_PRODUCT = 2,
    COSINE_SIMILARITY = 3,
  }
}

export class _CreateIndexRequest extends jspb.Message {
  getIndexName(): string;
  setIndexName(value: string): _CreateIndexRequest;

  getNumDimensions(): number;
  setNumDimensions(value: number): _CreateIndexRequest;

  getSimilarityMetric(): _SimilarityMetric | undefined;
  setSimilarityMetric(value?: _SimilarityMetric): _CreateIndexRequest;
  hasSimilarityMetric(): boolean;
  clearSimilarityMetric(): _CreateIndexRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CreateIndexRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _CreateIndexRequest): _CreateIndexRequest.AsObject;
  static serializeBinaryToWriter(message: _CreateIndexRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CreateIndexRequest;
  static deserializeBinaryFromReader(message: _CreateIndexRequest, reader: jspb.BinaryReader): _CreateIndexRequest;
}

export namespace _CreateIndexRequest {
  export type AsObject = {
    indexName: string,
    numDimensions: number,
    similarityMetric?: _SimilarityMetric.AsObject,
  }
}

export class _CreateIndexResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CreateIndexResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _CreateIndexResponse): _CreateIndexResponse.AsObject;
  static serializeBinaryToWriter(message: _CreateIndexResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CreateIndexResponse;
  static deserializeBinaryFromReader(message: _CreateIndexResponse, reader: jspb.BinaryReader): _CreateIndexResponse;
}

export namespace _CreateIndexResponse {
  export type AsObject = {
  }
}

export class _DeleteIndexRequest extends jspb.Message {
  getIndexName(): string;
  setIndexName(value: string): _DeleteIndexRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _DeleteIndexRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _DeleteIndexRequest): _DeleteIndexRequest.AsObject;
  static serializeBinaryToWriter(message: _DeleteIndexRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _DeleteIndexRequest;
  static deserializeBinaryFromReader(message: _DeleteIndexRequest, reader: jspb.BinaryReader): _DeleteIndexRequest;
}

export namespace _DeleteIndexRequest {
  export type AsObject = {
    indexName: string,
  }
}

export class _DeleteIndexResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _DeleteIndexResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _DeleteIndexResponse): _DeleteIndexResponse.AsObject;
  static serializeBinaryToWriter(message: _DeleteIndexResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _DeleteIndexResponse;
  static deserializeBinaryFromReader(message: _DeleteIndexResponse, reader: jspb.BinaryReader): _DeleteIndexResponse;
}

export namespace _DeleteIndexResponse {
  export type AsObject = {
  }
}

export class _ListIndexesRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListIndexesRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _ListIndexesRequest): _ListIndexesRequest.AsObject;
  static serializeBinaryToWriter(message: _ListIndexesRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListIndexesRequest;
  static deserializeBinaryFromReader(message: _ListIndexesRequest, reader: jspb.BinaryReader): _ListIndexesRequest;
}

export namespace _ListIndexesRequest {
  export type AsObject = {
  }
}

export class _ListIndexesResponse extends jspb.Message {
  getIndexesList(): Array<_ListIndexesResponse._Index>;
  setIndexesList(value: Array<_ListIndexesResponse._Index>): _ListIndexesResponse;
  clearIndexesList(): _ListIndexesResponse;
  addIndexes(value?: _ListIndexesResponse._Index, index?: number): _ListIndexesResponse._Index;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListIndexesResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _ListIndexesResponse): _ListIndexesResponse.AsObject;
  static serializeBinaryToWriter(message: _ListIndexesResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListIndexesResponse;
  static deserializeBinaryFromReader(message: _ListIndexesResponse, reader: jspb.BinaryReader): _ListIndexesResponse;
}

export namespace _ListIndexesResponse {
  export type AsObject = {
    indexesList: Array<_ListIndexesResponse._Index.AsObject>,
  }

  export class _Index extends jspb.Message {
    getIndexName(): string;
    setIndexName(value: string): _Index;

    getNumDimensions(): number;
    setNumDimensions(value: number): _Index;

    getSimilarityMetric(): _SimilarityMetric | undefined;
    setSimilarityMetric(value?: _SimilarityMetric): _Index;
    hasSimilarityMetric(): boolean;
    clearSimilarityMetric(): _Index;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): _Index.AsObject;
    static toObject(includeInstance: boolean, msg: _Index): _Index.AsObject;
    static serializeBinaryToWriter(message: _Index, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): _Index;
    static deserializeBinaryFromReader(message: _Index, reader: jspb.BinaryReader): _Index;
  }

  export namespace _Index {
    export type AsObject = {
      indexName: string,
      numDimensions: number,
      similarityMetric?: _SimilarityMetric.AsObject,
    }
  }

}

export class _DeleteCacheRequest extends jspb.Message {
  getCacheName(): string;
  setCacheName(value: string): _DeleteCacheRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _DeleteCacheRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _DeleteCacheRequest): _DeleteCacheRequest.AsObject;
  static serializeBinaryToWriter(message: _DeleteCacheRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _DeleteCacheRequest;
  static deserializeBinaryFromReader(message: _DeleteCacheRequest, reader: jspb.BinaryReader): _DeleteCacheRequest;
}

export namespace _DeleteCacheRequest {
  export type AsObject = {
    cacheName: string,
  }
}

export class _DeleteCacheResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _DeleteCacheResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _DeleteCacheResponse): _DeleteCacheResponse.AsObject;
  static serializeBinaryToWriter(message: _DeleteCacheResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _DeleteCacheResponse;
  static deserializeBinaryFromReader(message: _DeleteCacheResponse, reader: jspb.BinaryReader): _DeleteCacheResponse;
}

export namespace _DeleteCacheResponse {
  export type AsObject = {
  }
}

export class _CreateCacheRequest extends jspb.Message {
  getCacheName(): string;
  setCacheName(value: string): _CreateCacheRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CreateCacheRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _CreateCacheRequest): _CreateCacheRequest.AsObject;
  static serializeBinaryToWriter(message: _CreateCacheRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CreateCacheRequest;
  static deserializeBinaryFromReader(message: _CreateCacheRequest, reader: jspb.BinaryReader): _CreateCacheRequest;
}

export namespace _CreateCacheRequest {
  export type AsObject = {
    cacheName: string,
  }
}

export class _CreateCacheResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CreateCacheResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _CreateCacheResponse): _CreateCacheResponse.AsObject;
  static serializeBinaryToWriter(message: _CreateCacheResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CreateCacheResponse;
  static deserializeBinaryFromReader(message: _CreateCacheResponse, reader: jspb.BinaryReader): _CreateCacheResponse;
}

export namespace _CreateCacheResponse {
  export type AsObject = {
  }
}

export class _ListCachesRequest extends jspb.Message {
  getNextToken(): string;
  setNextToken(value: string): _ListCachesRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListCachesRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _ListCachesRequest): _ListCachesRequest.AsObject;
  static serializeBinaryToWriter(message: _ListCachesRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListCachesRequest;
  static deserializeBinaryFromReader(message: _ListCachesRequest, reader: jspb.BinaryReader): _ListCachesRequest;
}

export namespace _ListCachesRequest {
  export type AsObject = {
    nextToken: string,
  }
}

export class _CacheLimits extends jspb.Message {
  getMaxTrafficRate(): number;
  setMaxTrafficRate(value: number): _CacheLimits;

  getMaxThroughputKbps(): number;
  setMaxThroughputKbps(value: number): _CacheLimits;

  getMaxItemSizeKb(): number;
  setMaxItemSizeKb(value: number): _CacheLimits;

  getMaxTtlSeconds(): number;
  setMaxTtlSeconds(value: number): _CacheLimits;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CacheLimits.AsObject;
  static toObject(includeInstance: boolean, msg: _CacheLimits): _CacheLimits.AsObject;
  static serializeBinaryToWriter(message: _CacheLimits, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CacheLimits;
  static deserializeBinaryFromReader(message: _CacheLimits, reader: jspb.BinaryReader): _CacheLimits;
}

export namespace _CacheLimits {
  export type AsObject = {
    maxTrafficRate: number,
    maxThroughputKbps: number,
    maxItemSizeKb: number,
    maxTtlSeconds: number,
  }
}

export class _TopicLimits extends jspb.Message {
  getMaxPublishRate(): number;
  setMaxPublishRate(value: number): _TopicLimits;

  getMaxSubscriptionCount(): number;
  setMaxSubscriptionCount(value: number): _TopicLimits;

  getMaxPublishMessageSizeKb(): number;
  setMaxPublishMessageSizeKb(value: number): _TopicLimits;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _TopicLimits.AsObject;
  static toObject(includeInstance: boolean, msg: _TopicLimits): _TopicLimits.AsObject;
  static serializeBinaryToWriter(message: _TopicLimits, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _TopicLimits;
  static deserializeBinaryFromReader(message: _TopicLimits, reader: jspb.BinaryReader): _TopicLimits;
}

export namespace _TopicLimits {
  export type AsObject = {
    maxPublishRate: number,
    maxSubscriptionCount: number,
    maxPublishMessageSizeKb: number,
  }
}

export class _Cache extends jspb.Message {
  getCacheName(): string;
  setCacheName(value: string): _Cache;

  getCacheLimits(): _CacheLimits | undefined;
  setCacheLimits(value?: _CacheLimits): _Cache;
  hasCacheLimits(): boolean;
  clearCacheLimits(): _Cache;

  getTopicLimits(): _TopicLimits | undefined;
  setTopicLimits(value?: _TopicLimits): _Cache;
  hasTopicLimits(): boolean;
  clearTopicLimits(): _Cache;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _Cache.AsObject;
  static toObject(includeInstance: boolean, msg: _Cache): _Cache.AsObject;
  static serializeBinaryToWriter(message: _Cache, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _Cache;
  static deserializeBinaryFromReader(message: _Cache, reader: jspb.BinaryReader): _Cache;
}

export namespace _Cache {
  export type AsObject = {
    cacheName: string,
    cacheLimits?: _CacheLimits.AsObject,
    topicLimits?: _TopicLimits.AsObject,
  }
}

export class _ListCachesResponse extends jspb.Message {
  getCacheList(): Array<_Cache>;
  setCacheList(value: Array<_Cache>): _ListCachesResponse;
  clearCacheList(): _ListCachesResponse;
  addCache(value?: _Cache, index?: number): _Cache;

  getNextToken(): string;
  setNextToken(value: string): _ListCachesResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListCachesResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _ListCachesResponse): _ListCachesResponse.AsObject;
  static serializeBinaryToWriter(message: _ListCachesResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListCachesResponse;
  static deserializeBinaryFromReader(message: _ListCachesResponse, reader: jspb.BinaryReader): _ListCachesResponse;
}

export namespace _ListCachesResponse {
  export type AsObject = {
    cacheList: Array<_Cache.AsObject>,
    nextToken: string,
  }
}

export class _CreateSigningKeyRequest extends jspb.Message {
  getTtlMinutes(): number;
  setTtlMinutes(value: number): _CreateSigningKeyRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CreateSigningKeyRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _CreateSigningKeyRequest): _CreateSigningKeyRequest.AsObject;
  static serializeBinaryToWriter(message: _CreateSigningKeyRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CreateSigningKeyRequest;
  static deserializeBinaryFromReader(message: _CreateSigningKeyRequest, reader: jspb.BinaryReader): _CreateSigningKeyRequest;
}

export namespace _CreateSigningKeyRequest {
  export type AsObject = {
    ttlMinutes: number,
  }
}

export class _CreateSigningKeyResponse extends jspb.Message {
  getKey(): string;
  setKey(value: string): _CreateSigningKeyResponse;

  getExpiresAt(): number;
  setExpiresAt(value: number): _CreateSigningKeyResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _CreateSigningKeyResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _CreateSigningKeyResponse): _CreateSigningKeyResponse.AsObject;
  static serializeBinaryToWriter(message: _CreateSigningKeyResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _CreateSigningKeyResponse;
  static deserializeBinaryFromReader(message: _CreateSigningKeyResponse, reader: jspb.BinaryReader): _CreateSigningKeyResponse;
}

export namespace _CreateSigningKeyResponse {
  export type AsObject = {
    key: string,
    expiresAt: number,
  }
}

export class _RevokeSigningKeyRequest extends jspb.Message {
  getKeyId(): string;
  setKeyId(value: string): _RevokeSigningKeyRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RevokeSigningKeyRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _RevokeSigningKeyRequest): _RevokeSigningKeyRequest.AsObject;
  static serializeBinaryToWriter(message: _RevokeSigningKeyRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RevokeSigningKeyRequest;
  static deserializeBinaryFromReader(message: _RevokeSigningKeyRequest, reader: jspb.BinaryReader): _RevokeSigningKeyRequest;
}

export namespace _RevokeSigningKeyRequest {
  export type AsObject = {
    keyId: string,
  }
}

export class _RevokeSigningKeyResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RevokeSigningKeyResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _RevokeSigningKeyResponse): _RevokeSigningKeyResponse.AsObject;
  static serializeBinaryToWriter(message: _RevokeSigningKeyResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RevokeSigningKeyResponse;
  static deserializeBinaryFromReader(message: _RevokeSigningKeyResponse, reader: jspb.BinaryReader): _RevokeSigningKeyResponse;
}

export namespace _RevokeSigningKeyResponse {
  export type AsObject = {
  }
}

export class _SigningKey extends jspb.Message {
  getKeyId(): string;
  setKeyId(value: string): _SigningKey;

  getExpiresAt(): number;
  setExpiresAt(value: number): _SigningKey;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _SigningKey.AsObject;
  static toObject(includeInstance: boolean, msg: _SigningKey): _SigningKey.AsObject;
  static serializeBinaryToWriter(message: _SigningKey, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _SigningKey;
  static deserializeBinaryFromReader(message: _SigningKey, reader: jspb.BinaryReader): _SigningKey;
}

export namespace _SigningKey {
  export type AsObject = {
    keyId: string,
    expiresAt: number,
  }
}

export class _ListSigningKeysRequest extends jspb.Message {
  getNextToken(): string;
  setNextToken(value: string): _ListSigningKeysRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListSigningKeysRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _ListSigningKeysRequest): _ListSigningKeysRequest.AsObject;
  static serializeBinaryToWriter(message: _ListSigningKeysRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListSigningKeysRequest;
  static deserializeBinaryFromReader(message: _ListSigningKeysRequest, reader: jspb.BinaryReader): _ListSigningKeysRequest;
}

export namespace _ListSigningKeysRequest {
  export type AsObject = {
    nextToken: string,
  }
}

export class _ListSigningKeysResponse extends jspb.Message {
  getSigningKeyList(): Array<_SigningKey>;
  setSigningKeyList(value: Array<_SigningKey>): _ListSigningKeysResponse;
  clearSigningKeyList(): _ListSigningKeysResponse;
  addSigningKey(value?: _SigningKey, index?: number): _SigningKey;

  getNextToken(): string;
  setNextToken(value: string): _ListSigningKeysResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListSigningKeysResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _ListSigningKeysResponse): _ListSigningKeysResponse.AsObject;
  static serializeBinaryToWriter(message: _ListSigningKeysResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListSigningKeysResponse;
  static deserializeBinaryFromReader(message: _ListSigningKeysResponse, reader: jspb.BinaryReader): _ListSigningKeysResponse;
}

export namespace _ListSigningKeysResponse {
  export type AsObject = {
    signingKeyList: Array<_SigningKey.AsObject>,
    nextToken: string,
  }
}

export class _FlushCacheRequest extends jspb.Message {
  getCacheName(): string;
  setCacheName(value: string): _FlushCacheRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _FlushCacheRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _FlushCacheRequest): _FlushCacheRequest.AsObject;
  static serializeBinaryToWriter(message: _FlushCacheRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _FlushCacheRequest;
  static deserializeBinaryFromReader(message: _FlushCacheRequest, reader: jspb.BinaryReader): _FlushCacheRequest;
}

export namespace _FlushCacheRequest {
  export type AsObject = {
    cacheName: string,
  }
}

export class _FlushCacheResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _FlushCacheResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _FlushCacheResponse): _FlushCacheResponse.AsObject;
  static serializeBinaryToWriter(message: _FlushCacheResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _FlushCacheResponse;
  static deserializeBinaryFromReader(message: _FlushCacheResponse, reader: jspb.BinaryReader): _FlushCacheResponse;
}

export namespace _FlushCacheResponse {
  export type AsObject = {
  }
}

