import * as jspb from 'google-protobuf'

import * as permissionmessages_pb from './permissionmessages_pb';


export class _GenerateDisposableTokenRequest extends jspb.Message {
  getExpires(): _GenerateDisposableTokenRequest.Expires | undefined;
  setExpires(value?: _GenerateDisposableTokenRequest.Expires): _GenerateDisposableTokenRequest;
  hasExpires(): boolean;
  clearExpires(): _GenerateDisposableTokenRequest;

  getAuthToken(): string;
  setAuthToken(value: string): _GenerateDisposableTokenRequest;

  getPermissions(): permissionmessages_pb.Permissions | undefined;
  setPermissions(value?: permissionmessages_pb.Permissions): _GenerateDisposableTokenRequest;
  hasPermissions(): boolean;
  clearPermissions(): _GenerateDisposableTokenRequest;

  getTokenId(): string;
  setTokenId(value: string): _GenerateDisposableTokenRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GenerateDisposableTokenRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _GenerateDisposableTokenRequest): _GenerateDisposableTokenRequest.AsObject;
  static serializeBinaryToWriter(message: _GenerateDisposableTokenRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GenerateDisposableTokenRequest;
  static deserializeBinaryFromReader(message: _GenerateDisposableTokenRequest, reader: jspb.BinaryReader): _GenerateDisposableTokenRequest;
}

export namespace _GenerateDisposableTokenRequest {
  export type AsObject = {
    expires?: _GenerateDisposableTokenRequest.Expires.AsObject,
    authToken: string,
    permissions?: permissionmessages_pb.Permissions.AsObject,
    tokenId: string,
  }

  export class Expires extends jspb.Message {
    getValidForSeconds(): number;
    setValidForSeconds(value: number): Expires;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Expires.AsObject;
    static toObject(includeInstance: boolean, msg: Expires): Expires.AsObject;
    static serializeBinaryToWriter(message: Expires, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Expires;
    static deserializeBinaryFromReader(message: Expires, reader: jspb.BinaryReader): Expires;
  }

  export namespace Expires {
    export type AsObject = {
      validForSeconds: number,
    }
  }

}

export class _GenerateDisposableTokenResponse extends jspb.Message {
  getApiKey(): string;
  setApiKey(value: string): _GenerateDisposableTokenResponse;

  getEndpoint(): string;
  setEndpoint(value: string): _GenerateDisposableTokenResponse;

  getValidUntil(): number;
  setValidUntil(value: number): _GenerateDisposableTokenResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GenerateDisposableTokenResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _GenerateDisposableTokenResponse): _GenerateDisposableTokenResponse.AsObject;
  static serializeBinaryToWriter(message: _GenerateDisposableTokenResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GenerateDisposableTokenResponse;
  static deserializeBinaryFromReader(message: _GenerateDisposableTokenResponse, reader: jspb.BinaryReader): _GenerateDisposableTokenResponse;
}

export namespace _GenerateDisposableTokenResponse {
  export type AsObject = {
    apiKey: string,
    endpoint: string,
    validUntil: number,
  }
}

