/**
 * @fileoverview gRPC-Web generated client stub for cache_client.pubsub
 * @enhanceable
 * @public
 */
import * as grpcWeb from 'grpc-web';
import * as cachepubsub_pb from './cachepubsub_pb';
import * as common_pb from './common_pb';
export declare class PubsubClient {
    client_: grpcWeb.AbstractClientBase;
    hostname_: string;
    credentials_: null | {
        [index: string]: string;
    };
    options_: null | {
        [index: string]: any;
    };
    constructor(hostname: string, credentials?: null | {
        [index: string]: string;
    }, options?: null | {
        [index: string]: any;
    });
    methodDescriptorPublish: grpcWeb.MethodDescriptor<cachepubsub_pb._PublishRequest, common_pb._Empty>;
    publish(request: cachepubsub_pb._PublishRequest, metadata: grpcWeb.Metadata | null): Promise<common_pb._Empty>;
    publish(request: cachepubsub_pb._PublishRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: common_pb._Empty) => void): grpcWeb.ClientReadableStream<common_pb._Empty>;
    methodDescriptorSubscribe: grpcWeb.MethodDescriptor<cachepubsub_pb._SubscriptionRequest, cachepubsub_pb._SubscriptionItem>;
    subscribe(request: cachepubsub_pb._SubscriptionRequest, metadata?: grpcWeb.Metadata): grpcWeb.ClientReadableStream<cachepubsub_pb._SubscriptionItem>;
}
