/**
 * @fileoverview gRPC-Web generated client stub for token
 * @enhanceable
 * @public
 */
import * as grpcWeb from 'grpc-web';
import * as token_pb from './token_pb';
export declare class TokenClient {
    client_: grpcWeb.AbstractClientBase;
    hostname_: string;
    credentials_: null | {
        [index: string]: string;
    };
    options_: null | {
        [index: string]: any;
    };
    constructor(hostname: string, credentials?: null | {
        [index: string]: string;
    }, options?: null | {
        [index: string]: any;
    });
    methodDescriptorGenerateDisposableToken: grpcWeb.MethodDescriptor<token_pb._GenerateDisposableTokenRequest, token_pb._GenerateDisposableTokenResponse>;
    generateDisposableToken(request: token_pb._GenerateDisposableTokenRequest, metadata: grpcWeb.Metadata | null): Promise<token_pb._GenerateDisposableTokenResponse>;
    generateDisposableToken(request: token_pb._GenerateDisposableTokenRequest, metadata: grpcWeb.Metadata | null, callback: (err: grpcWeb.RpcError, response: token_pb._GenerateDisposableTokenResponse) => void): grpcWeb.ClientReadableStream<token_pb._GenerateDisposableTokenResponse>;
}
