import * as jspb from 'google-protobuf'



export class Present extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Present.AsObject;
  static toObject(includeInstance: boolean, msg: Present): Present.AsObject;
  static serializeBinaryToWriter(message: Present, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Present;
  static deserializeBinaryFromReader(message: Present, reader: jspb.BinaryReader): Present;
}

export namespace Present {
  export type AsObject = {
  }
}

export class PresentAndNotEqual extends jspb.Message {
  getValueToCheck(): Uint8Array | string;
  getValueToCheck_asU8(): Uint8Array;
  getValueToCheck_asB64(): string;
  setValueToCheck(value: Uint8Array | string): PresentAndNotEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PresentAndNotEqual.AsObject;
  static toObject(includeInstance: boolean, msg: PresentAndNotEqual): PresentAndNotEqual.AsObject;
  static serializeBinaryToWriter(message: PresentAndNotEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PresentAndNotEqual;
  static deserializeBinaryFromReader(message: PresentAndNotEqual, reader: jspb.BinaryReader): PresentAndNotEqual;
}

export namespace PresentAndNotEqual {
  export type AsObject = {
    valueToCheck: Uint8Array | string,
  }
}

export class Absent extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Absent.AsObject;
  static toObject(includeInstance: boolean, msg: Absent): Absent.AsObject;
  static serializeBinaryToWriter(message: Absent, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Absent;
  static deserializeBinaryFromReader(message: Absent, reader: jspb.BinaryReader): Absent;
}

export namespace Absent {
  export type AsObject = {
  }
}

export class Equal extends jspb.Message {
  getValueToCheck(): Uint8Array | string;
  getValueToCheck_asU8(): Uint8Array;
  getValueToCheck_asB64(): string;
  setValueToCheck(value: Uint8Array | string): Equal;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Equal.AsObject;
  static toObject(includeInstance: boolean, msg: Equal): Equal.AsObject;
  static serializeBinaryToWriter(message: Equal, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Equal;
  static deserializeBinaryFromReader(message: Equal, reader: jspb.BinaryReader): Equal;
}

export namespace Equal {
  export type AsObject = {
    valueToCheck: Uint8Array | string,
  }
}

export class AbsentOrEqual extends jspb.Message {
  getValueToCheck(): Uint8Array | string;
  getValueToCheck_asU8(): Uint8Array;
  getValueToCheck_asB64(): string;
  setValueToCheck(value: Uint8Array | string): AbsentOrEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AbsentOrEqual.AsObject;
  static toObject(includeInstance: boolean, msg: AbsentOrEqual): AbsentOrEqual.AsObject;
  static serializeBinaryToWriter(message: AbsentOrEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AbsentOrEqual;
  static deserializeBinaryFromReader(message: AbsentOrEqual, reader: jspb.BinaryReader): AbsentOrEqual;
}

export namespace AbsentOrEqual {
  export type AsObject = {
    valueToCheck: Uint8Array | string,
  }
}

export class NotEqual extends jspb.Message {
  getValueToCheck(): Uint8Array | string;
  getValueToCheck_asU8(): Uint8Array;
  getValueToCheck_asB64(): string;
  setValueToCheck(value: Uint8Array | string): NotEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): NotEqual.AsObject;
  static toObject(includeInstance: boolean, msg: NotEqual): NotEqual.AsObject;
  static serializeBinaryToWriter(message: NotEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): NotEqual;
  static deserializeBinaryFromReader(message: NotEqual, reader: jspb.BinaryReader): NotEqual;
}

export namespace NotEqual {
  export type AsObject = {
    valueToCheck: Uint8Array | string,
  }
}

export class _Unbounded extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _Unbounded.AsObject;
  static toObject(includeInstance: boolean, msg: _Unbounded): _Unbounded.AsObject;
  static serializeBinaryToWriter(message: _Unbounded, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _Unbounded;
  static deserializeBinaryFromReader(message: _Unbounded, reader: jspb.BinaryReader): _Unbounded;
}

export namespace _Unbounded {
  export type AsObject = {
  }
}

export class _Empty extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _Empty.AsObject;
  static toObject(includeInstance: boolean, msg: _Empty): _Empty.AsObject;
  static serializeBinaryToWriter(message: _Empty, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _Empty;
  static deserializeBinaryFromReader(message: _Empty, reader: jspb.BinaryReader): _Empty;
}

export namespace _Empty {
  export type AsObject = {
  }
}

export class PresentAndNotHashEqual extends jspb.Message {
  getHashToCheck(): Uint8Array | string;
  getHashToCheck_asU8(): Uint8Array;
  getHashToCheck_asB64(): string;
  setHashToCheck(value: Uint8Array | string): PresentAndNotHashEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PresentAndNotHashEqual.AsObject;
  static toObject(includeInstance: boolean, msg: PresentAndNotHashEqual): PresentAndNotHashEqual.AsObject;
  static serializeBinaryToWriter(message: PresentAndNotHashEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PresentAndNotHashEqual;
  static deserializeBinaryFromReader(message: PresentAndNotHashEqual, reader: jspb.BinaryReader): PresentAndNotHashEqual;
}

export namespace PresentAndNotHashEqual {
  export type AsObject = {
    hashToCheck: Uint8Array | string,
  }
}

export class PresentAndHashEqual extends jspb.Message {
  getHashToCheck(): Uint8Array | string;
  getHashToCheck_asU8(): Uint8Array;
  getHashToCheck_asB64(): string;
  setHashToCheck(value: Uint8Array | string): PresentAndHashEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): PresentAndHashEqual.AsObject;
  static toObject(includeInstance: boolean, msg: PresentAndHashEqual): PresentAndHashEqual.AsObject;
  static serializeBinaryToWriter(message: PresentAndHashEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): PresentAndHashEqual;
  static deserializeBinaryFromReader(message: PresentAndHashEqual, reader: jspb.BinaryReader): PresentAndHashEqual;
}

export namespace PresentAndHashEqual {
  export type AsObject = {
    hashToCheck: Uint8Array | string,
  }
}

export class AbsentOrHashEqual extends jspb.Message {
  getHashToCheck(): Uint8Array | string;
  getHashToCheck_asU8(): Uint8Array;
  getHashToCheck_asB64(): string;
  setHashToCheck(value: Uint8Array | string): AbsentOrHashEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AbsentOrHashEqual.AsObject;
  static toObject(includeInstance: boolean, msg: AbsentOrHashEqual): AbsentOrHashEqual.AsObject;
  static serializeBinaryToWriter(message: AbsentOrHashEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AbsentOrHashEqual;
  static deserializeBinaryFromReader(message: AbsentOrHashEqual, reader: jspb.BinaryReader): AbsentOrHashEqual;
}

export namespace AbsentOrHashEqual {
  export type AsObject = {
    hashToCheck: Uint8Array | string,
  }
}

export class AbsentOrNotHashEqual extends jspb.Message {
  getHashToCheck(): Uint8Array | string;
  getHashToCheck_asU8(): Uint8Array;
  getHashToCheck_asB64(): string;
  setHashToCheck(value: Uint8Array | string): AbsentOrNotHashEqual;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AbsentOrNotHashEqual.AsObject;
  static toObject(includeInstance: boolean, msg: AbsentOrNotHashEqual): AbsentOrNotHashEqual.AsObject;
  static serializeBinaryToWriter(message: AbsentOrNotHashEqual, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AbsentOrNotHashEqual;
  static deserializeBinaryFromReader(message: AbsentOrNotHashEqual, reader: jspb.BinaryReader): AbsentOrNotHashEqual;
}

export namespace AbsentOrNotHashEqual {
  export type AsObject = {
    hashToCheck: Uint8Array | string,
  }
}

export class Unconditional extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Unconditional.AsObject;
  static toObject(includeInstance: boolean, msg: Unconditional): Unconditional.AsObject;
  static serializeBinaryToWriter(message: Unconditional, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Unconditional;
  static deserializeBinaryFromReader(message: Unconditional, reader: jspb.BinaryReader): Unconditional;
}

export namespace Unconditional {
  export type AsObject = {
  }
}

