import * as jspb from 'google-protobuf'

import * as permissionrules_pb from './permissionrules_pb';


export class _SetAccountNameRequest extends jspb.Message {
  getAccountName(): string;
  setAccountName(value: string): _SetAccountNameRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _SetAccountNameRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _SetAccountNameRequest): _SetAccountNameRequest.AsObject;
  static serializeBinaryToWriter(message: _SetAccountNameRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _SetAccountNameRequest;
  static deserializeBinaryFromReader(message: _SetAccountNameRequest, reader: jspb.BinaryReader): _SetAccountNameRequest;
}

export namespace _SetAccountNameRequest {
  export type AsObject = {
    accountName: string,
  }
}

export class _SetAccountNameResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _SetAccountNameResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _SetAccountNameResponse): _SetAccountNameResponse.AsObject;
  static serializeBinaryToWriter(message: _SetAccountNameResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _SetAccountNameResponse;
  static deserializeBinaryFromReader(message: _SetAccountNameResponse, reader: jspb.BinaryReader): _SetAccountNameResponse;
}

export namespace _SetAccountNameResponse {
  export type AsObject = {
  }
}

export class _GetAccountsRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetAccountsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _GetAccountsRequest): _GetAccountsRequest.AsObject;
  static serializeBinaryToWriter(message: _GetAccountsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetAccountsRequest;
  static deserializeBinaryFromReader(message: _GetAccountsRequest, reader: jspb.BinaryReader): _GetAccountsRequest;
}

export namespace _GetAccountsRequest {
  export type AsObject = {
  }
}

export class _GetAccountsResponse extends jspb.Message {
  getAccountsList(): Array<_Account>;
  setAccountsList(value: Array<_Account>): _GetAccountsResponse;
  clearAccountsList(): _GetAccountsResponse;
  addAccounts(value?: _Account, index?: number): _Account;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetAccountsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _GetAccountsResponse): _GetAccountsResponse.AsObject;
  static serializeBinaryToWriter(message: _GetAccountsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetAccountsResponse;
  static deserializeBinaryFromReader(message: _GetAccountsResponse, reader: jspb.BinaryReader): _GetAccountsResponse;
}

export namespace _GetAccountsResponse {
  export type AsObject = {
    accountsList: Array<_Account.AsObject>,
  }
}

export class _GetInvitationsForUserRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetInvitationsForUserRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _GetInvitationsForUserRequest): _GetInvitationsForUserRequest.AsObject;
  static serializeBinaryToWriter(message: _GetInvitationsForUserRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetInvitationsForUserRequest;
  static deserializeBinaryFromReader(message: _GetInvitationsForUserRequest, reader: jspb.BinaryReader): _GetInvitationsForUserRequest;
}

export namespace _GetInvitationsForUserRequest {
  export type AsObject = {
  }
}

export class UserInvitation extends jspb.Message {
  getAccountId(): string;
  setAccountId(value: string): UserInvitation;

  getAccountName(): string;
  setAccountName(value: string): UserInvitation;

  getInvitationId(): string;
  setInvitationId(value: string): UserInvitation;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UserInvitation.AsObject;
  static toObject(includeInstance: boolean, msg: UserInvitation): UserInvitation.AsObject;
  static serializeBinaryToWriter(message: UserInvitation, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UserInvitation;
  static deserializeBinaryFromReader(message: UserInvitation, reader: jspb.BinaryReader): UserInvitation;
}

export namespace UserInvitation {
  export type AsObject = {
    accountId: string,
    accountName: string,
    invitationId: string,
  }
}

export class _GetInvitationsForUserResponse extends jspb.Message {
  getInvitationsList(): Array<UserInvitation>;
  setInvitationsList(value: Array<UserInvitation>): _GetInvitationsForUserResponse;
  clearInvitationsList(): _GetInvitationsForUserResponse;
  addInvitations(value?: UserInvitation, index?: number): UserInvitation;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetInvitationsForUserResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _GetInvitationsForUserResponse): _GetInvitationsForUserResponse.AsObject;
  static serializeBinaryToWriter(message: _GetInvitationsForUserResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetInvitationsForUserResponse;
  static deserializeBinaryFromReader(message: _GetInvitationsForUserResponse, reader: jspb.BinaryReader): _GetInvitationsForUserResponse;
}

export namespace _GetInvitationsForUserResponse {
  export type AsObject = {
    invitationsList: Array<UserInvitation.AsObject>,
  }
}

export class _Account extends jspb.Message {
  getId(): string;
  setId(value: string): _Account;

  getAccountName(): string;
  setAccountName(value: string): _Account;

  getRoleId(): string;
  setRoleId(value: string): _Account;

  getRoleName(): string;
  setRoleName(value: string): _Account;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _Account.AsObject;
  static toObject(includeInstance: boolean, msg: _Account): _Account.AsObject;
  static serializeBinaryToWriter(message: _Account, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _Account;
  static deserializeBinaryFromReader(message: _Account, reader: jspb.BinaryReader): _Account;
}

export namespace _Account {
  export type AsObject = {
    id: string,
    accountName: string,
    roleId: string,
    roleName: string,
  }
}

export class _GetAccountSessionTokenRequest extends jspb.Message {
  getAccountId(): string;
  setAccountId(value: string): _GetAccountSessionTokenRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetAccountSessionTokenRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _GetAccountSessionTokenRequest): _GetAccountSessionTokenRequest.AsObject;
  static serializeBinaryToWriter(message: _GetAccountSessionTokenRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetAccountSessionTokenRequest;
  static deserializeBinaryFromReader(message: _GetAccountSessionTokenRequest, reader: jspb.BinaryReader): _GetAccountSessionTokenRequest;
}

export namespace _GetAccountSessionTokenRequest {
  export type AsObject = {
    accountId: string,
  }
}

export class _GetAccountSessionTokenResponse extends jspb.Message {
  getAccountSessionToken(): string;
  setAccountSessionToken(value: string): _GetAccountSessionTokenResponse;

  getPermissions(): permissionrules_pb.PermissionSet | undefined;
  setPermissions(value?: permissionrules_pb.PermissionSet): _GetAccountSessionTokenResponse;
  hasPermissions(): boolean;
  clearPermissions(): _GetAccountSessionTokenResponse;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetAccountSessionTokenResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _GetAccountSessionTokenResponse): _GetAccountSessionTokenResponse.AsObject;
  static serializeBinaryToWriter(message: _GetAccountSessionTokenResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetAccountSessionTokenResponse;
  static deserializeBinaryFromReader(message: _GetAccountSessionTokenResponse, reader: jspb.BinaryReader): _GetAccountSessionTokenResponse;
}

export namespace _GetAccountSessionTokenResponse {
  export type AsObject = {
    accountSessionToken: string,
    permissions?: permissionrules_pb.PermissionSet.AsObject,
  }
}

export class _InviteMemberRequest extends jspb.Message {
  getUserName(): string;
  setUserName(value: string): _InviteMemberRequest;

  getRoleId(): string;
  setRoleId(value: string): _InviteMemberRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _InviteMemberRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _InviteMemberRequest): _InviteMemberRequest.AsObject;
  static serializeBinaryToWriter(message: _InviteMemberRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _InviteMemberRequest;
  static deserializeBinaryFromReader(message: _InviteMemberRequest, reader: jspb.BinaryReader): _InviteMemberRequest;
}

export namespace _InviteMemberRequest {
  export type AsObject = {
    userName: string,
    roleId: string,
  }
}

export class _InviteMemberResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _InviteMemberResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _InviteMemberResponse): _InviteMemberResponse.AsObject;
  static serializeBinaryToWriter(message: _InviteMemberResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _InviteMemberResponse;
  static deserializeBinaryFromReader(message: _InviteMemberResponse, reader: jspb.BinaryReader): _InviteMemberResponse;
}

export namespace _InviteMemberResponse {
  export type AsObject = {
  }
}

export class _AcceptInvitationRequest extends jspb.Message {
  getInvitationId(): string;
  setInvitationId(value: string): _AcceptInvitationRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _AcceptInvitationRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _AcceptInvitationRequest): _AcceptInvitationRequest.AsObject;
  static serializeBinaryToWriter(message: _AcceptInvitationRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _AcceptInvitationRequest;
  static deserializeBinaryFromReader(message: _AcceptInvitationRequest, reader: jspb.BinaryReader): _AcceptInvitationRequest;
}

export namespace _AcceptInvitationRequest {
  export type AsObject = {
    invitationId: string,
  }
}

export class _AcceptInvitationResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _AcceptInvitationResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _AcceptInvitationResponse): _AcceptInvitationResponse.AsObject;
  static serializeBinaryToWriter(message: _AcceptInvitationResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _AcceptInvitationResponse;
  static deserializeBinaryFromReader(message: _AcceptInvitationResponse, reader: jspb.BinaryReader): _AcceptInvitationResponse;
}

export namespace _AcceptInvitationResponse {
  export type AsObject = {
  }
}

export class _RejectInvitationRequest extends jspb.Message {
  getInvitationId(): string;
  setInvitationId(value: string): _RejectInvitationRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RejectInvitationRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _RejectInvitationRequest): _RejectInvitationRequest.AsObject;
  static serializeBinaryToWriter(message: _RejectInvitationRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RejectInvitationRequest;
  static deserializeBinaryFromReader(message: _RejectInvitationRequest, reader: jspb.BinaryReader): _RejectInvitationRequest;
}

export namespace _RejectInvitationRequest {
  export type AsObject = {
    invitationId: string,
  }
}

export class _RejectInvitationResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RejectInvitationResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _RejectInvitationResponse): _RejectInvitationResponse.AsObject;
  static serializeBinaryToWriter(message: _RejectInvitationResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RejectInvitationResponse;
  static deserializeBinaryFromReader(message: _RejectInvitationResponse, reader: jspb.BinaryReader): _RejectInvitationResponse;
}

export namespace _RejectInvitationResponse {
  export type AsObject = {
  }
}

export class _ListInvitationsForAccountRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListInvitationsForAccountRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _ListInvitationsForAccountRequest): _ListInvitationsForAccountRequest.AsObject;
  static serializeBinaryToWriter(message: _ListInvitationsForAccountRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListInvitationsForAccountRequest;
  static deserializeBinaryFromReader(message: _ListInvitationsForAccountRequest, reader: jspb.BinaryReader): _ListInvitationsForAccountRequest;
}

export namespace _ListInvitationsForAccountRequest {
  export type AsObject = {
  }
}

export class _Invitation extends jspb.Message {
  getId(): string;
  setId(value: string): _Invitation;

  getMember(): _Member | undefined;
  setMember(value?: _Member): _Invitation;
  hasMember(): boolean;
  clearMember(): _Invitation;

  getAccountMember(): _AccountMember | undefined;
  setAccountMember(value?: _AccountMember): _Invitation;
  hasAccountMember(): boolean;
  clearAccountMember(): _Invitation;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _Invitation.AsObject;
  static toObject(includeInstance: boolean, msg: _Invitation): _Invitation.AsObject;
  static serializeBinaryToWriter(message: _Invitation, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _Invitation;
  static deserializeBinaryFromReader(message: _Invitation, reader: jspb.BinaryReader): _Invitation;
}

export namespace _Invitation {
  export type AsObject = {
    id: string,
    member?: _Member.AsObject,
    accountMember?: _AccountMember.AsObject,
  }
}

export class _ListInvitationsForAccountResponse extends jspb.Message {
  getInvitationsList(): Array<_Invitation>;
  setInvitationsList(value: Array<_Invitation>): _ListInvitationsForAccountResponse;
  clearInvitationsList(): _ListInvitationsForAccountResponse;
  addInvitations(value?: _Invitation, index?: number): _Invitation;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListInvitationsForAccountResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _ListInvitationsForAccountResponse): _ListInvitationsForAccountResponse.AsObject;
  static serializeBinaryToWriter(message: _ListInvitationsForAccountResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListInvitationsForAccountResponse;
  static deserializeBinaryFromReader(message: _ListInvitationsForAccountResponse, reader: jspb.BinaryReader): _ListInvitationsForAccountResponse;
}

export namespace _ListInvitationsForAccountResponse {
  export type AsObject = {
    invitationsList: Array<_Invitation.AsObject>,
  }
}

export class _RevokeInvitationRequest extends jspb.Message {
  getInvitationId(): string;
  setInvitationId(value: string): _RevokeInvitationRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RevokeInvitationRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _RevokeInvitationRequest): _RevokeInvitationRequest.AsObject;
  static serializeBinaryToWriter(message: _RevokeInvitationRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RevokeInvitationRequest;
  static deserializeBinaryFromReader(message: _RevokeInvitationRequest, reader: jspb.BinaryReader): _RevokeInvitationRequest;
}

export namespace _RevokeInvitationRequest {
  export type AsObject = {
    invitationId: string,
  }
}

export class _RevokeInvitationResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RevokeInvitationResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _RevokeInvitationResponse): _RevokeInvitationResponse.AsObject;
  static serializeBinaryToWriter(message: _RevokeInvitationResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RevokeInvitationResponse;
  static deserializeBinaryFromReader(message: _RevokeInvitationResponse, reader: jspb.BinaryReader): _RevokeInvitationResponse;
}

export namespace _RevokeInvitationResponse {
  export type AsObject = {
  }
}

export class _RemoveMemberRequest extends jspb.Message {
  getUserName(): string;
  setUserName(value: string): _RemoveMemberRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RemoveMemberRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _RemoveMemberRequest): _RemoveMemberRequest.AsObject;
  static serializeBinaryToWriter(message: _RemoveMemberRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RemoveMemberRequest;
  static deserializeBinaryFromReader(message: _RemoveMemberRequest, reader: jspb.BinaryReader): _RemoveMemberRequest;
}

export namespace _RemoveMemberRequest {
  export type AsObject = {
    userName: string,
  }
}

export class _RemoveMemberResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _RemoveMemberResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _RemoveMemberResponse): _RemoveMemberResponse.AsObject;
  static serializeBinaryToWriter(message: _RemoveMemberResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _RemoveMemberResponse;
  static deserializeBinaryFromReader(message: _RemoveMemberResponse, reader: jspb.BinaryReader): _RemoveMemberResponse;
}

export namespace _RemoveMemberResponse {
  export type AsObject = {
  }
}

export class _ListMembersRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListMembersRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _ListMembersRequest): _ListMembersRequest.AsObject;
  static serializeBinaryToWriter(message: _ListMembersRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListMembersRequest;
  static deserializeBinaryFromReader(message: _ListMembersRequest, reader: jspb.BinaryReader): _ListMembersRequest;
}

export namespace _ListMembersRequest {
  export type AsObject = {
  }
}

export class _Member extends jspb.Message {
  getUserName(): string;
  setUserName(value: string): _Member;

  getRole(): Role;
  setRole(value: Role): _Member;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _Member.AsObject;
  static toObject(includeInstance: boolean, msg: _Member): _Member.AsObject;
  static serializeBinaryToWriter(message: _Member, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _Member;
  static deserializeBinaryFromReader(message: _Member, reader: jspb.BinaryReader): _Member;
}

export namespace _Member {
  export type AsObject = {
    userName: string,
    role: Role,
  }
}

export class _AccountMember extends jspb.Message {
  getUserName(): string;
  setUserName(value: string): _AccountMember;

  getRoleId(): string;
  setRoleId(value: string): _AccountMember;

  getRoleName(): string;
  setRoleName(value: string): _AccountMember;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _AccountMember.AsObject;
  static toObject(includeInstance: boolean, msg: _AccountMember): _AccountMember.AsObject;
  static serializeBinaryToWriter(message: _AccountMember, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _AccountMember;
  static deserializeBinaryFromReader(message: _AccountMember, reader: jspb.BinaryReader): _AccountMember;
}

export namespace _AccountMember {
  export type AsObject = {
    userName: string,
    roleId: string,
    roleName: string,
  }
}

export class _ListMembersResponse extends jspb.Message {
  getMembersList(): Array<_Member>;
  setMembersList(value: Array<_Member>): _ListMembersResponse;
  clearMembersList(): _ListMembersResponse;
  addMembers(value?: _Member, index?: number): _Member;

  getAccountMembersList(): Array<_AccountMember>;
  setAccountMembersList(value: Array<_AccountMember>): _ListMembersResponse;
  clearAccountMembersList(): _ListMembersResponse;
  addAccountMembers(value?: _AccountMember, index?: number): _AccountMember;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListMembersResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _ListMembersResponse): _ListMembersResponse.AsObject;
  static serializeBinaryToWriter(message: _ListMembersResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListMembersResponse;
  static deserializeBinaryFromReader(message: _ListMembersResponse, reader: jspb.BinaryReader): _ListMembersResponse;
}

export namespace _ListMembersResponse {
  export type AsObject = {
    membersList: Array<_Member.AsObject>,
    accountMembersList: Array<_AccountMember.AsObject>,
  }
}

export class _GetEndpointsForAccountRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetEndpointsForAccountRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _GetEndpointsForAccountRequest): _GetEndpointsForAccountRequest.AsObject;
  static serializeBinaryToWriter(message: _GetEndpointsForAccountRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetEndpointsForAccountRequest;
  static deserializeBinaryFromReader(message: _GetEndpointsForAccountRequest, reader: jspb.BinaryReader): _GetEndpointsForAccountRequest;
}

export namespace _GetEndpointsForAccountRequest {
  export type AsObject = {
  }
}

export class _GetEndpointsForAccountResponse extends jspb.Message {
  getEndpointsList(): Array<Endpoint>;
  setEndpointsList(value: Array<Endpoint>): _GetEndpointsForAccountResponse;
  clearEndpointsList(): _GetEndpointsForAccountResponse;
  addEndpoints(value?: Endpoint, index?: number): Endpoint;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _GetEndpointsForAccountResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _GetEndpointsForAccountResponse): _GetEndpointsForAccountResponse.AsObject;
  static serializeBinaryToWriter(message: _GetEndpointsForAccountResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _GetEndpointsForAccountResponse;
  static deserializeBinaryFromReader(message: _GetEndpointsForAccountResponse, reader: jspb.BinaryReader): _GetEndpointsForAccountResponse;
}

export namespace _GetEndpointsForAccountResponse {
  export type AsObject = {
    endpointsList: Array<Endpoint.AsObject>,
  }
}

export class Endpoint extends jspb.Message {
  getFriendlyName(): string;
  setFriendlyName(value: string): Endpoint;

  getDomainName(): string;
  setDomainName(value: string): Endpoint;

  getRegion(): string;
  setRegion(value: string): Endpoint;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Endpoint.AsObject;
  static toObject(includeInstance: boolean, msg: Endpoint): Endpoint.AsObject;
  static serializeBinaryToWriter(message: Endpoint, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Endpoint;
  static deserializeBinaryFromReader(message: Endpoint, reader: jspb.BinaryReader): Endpoint;
}

export namespace Endpoint {
  export type AsObject = {
    friendlyName: string,
    domainName: string,
    region: string,
  }
}

export class _ListRolesForAccountRequest extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListRolesForAccountRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _ListRolesForAccountRequest): _ListRolesForAccountRequest.AsObject;
  static serializeBinaryToWriter(message: _ListRolesForAccountRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListRolesForAccountRequest;
  static deserializeBinaryFromReader(message: _ListRolesForAccountRequest, reader: jspb.BinaryReader): _ListRolesForAccountRequest;
}

export namespace _ListRolesForAccountRequest {
  export type AsObject = {
  }
}

export class AccountRole extends jspb.Message {
  getRoleId(): string;
  setRoleId(value: string): AccountRole;

  getRoleName(): string;
  setRoleName(value: string): AccountRole;

  getPermissions(): permissionrules_pb.PermissionSet | undefined;
  setPermissions(value?: permissionrules_pb.PermissionSet): AccountRole;
  hasPermissions(): boolean;
  clearPermissions(): AccountRole;

  getRoleType(): RoleType;
  setRoleType(value: RoleType): AccountRole;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AccountRole.AsObject;
  static toObject(includeInstance: boolean, msg: AccountRole): AccountRole.AsObject;
  static serializeBinaryToWriter(message: AccountRole, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AccountRole;
  static deserializeBinaryFromReader(message: AccountRole, reader: jspb.BinaryReader): AccountRole;
}

export namespace AccountRole {
  export type AsObject = {
    roleId: string,
    roleName: string,
    permissions?: permissionrules_pb.PermissionSet.AsObject,
    roleType: RoleType,
  }
}

export class _ListRolesForAccountResponse extends jspb.Message {
  getRolesList(): Array<AccountRole>;
  setRolesList(value: Array<AccountRole>): _ListRolesForAccountResponse;
  clearRolesList(): _ListRolesForAccountResponse;
  addRoles(value?: AccountRole, index?: number): AccountRole;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _ListRolesForAccountResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _ListRolesForAccountResponse): _ListRolesForAccountResponse.AsObject;
  static serializeBinaryToWriter(message: _ListRolesForAccountResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _ListRolesForAccountResponse;
  static deserializeBinaryFromReader(message: _ListRolesForAccountResponse, reader: jspb.BinaryReader): _ListRolesForAccountResponse;
}

export namespace _ListRolesForAccountResponse {
  export type AsObject = {
    rolesList: Array<AccountRole.AsObject>,
  }
}

export class _SetMemberRoleRequest extends jspb.Message {
  getUserName(): string;
  setUserName(value: string): _SetMemberRoleRequest;

  getDesiredRoleId(): string;
  setDesiredRoleId(value: string): _SetMemberRoleRequest;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _SetMemberRoleRequest.AsObject;
  static toObject(includeInstance: boolean, msg: _SetMemberRoleRequest): _SetMemberRoleRequest.AsObject;
  static serializeBinaryToWriter(message: _SetMemberRoleRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _SetMemberRoleRequest;
  static deserializeBinaryFromReader(message: _SetMemberRoleRequest, reader: jspb.BinaryReader): _SetMemberRoleRequest;
}

export namespace _SetMemberRoleRequest {
  export type AsObject = {
    userName: string,
    desiredRoleId: string,
  }
}

export class _SetMemberRoleResponse extends jspb.Message {
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): _SetMemberRoleResponse.AsObject;
  static toObject(includeInstance: boolean, msg: _SetMemberRoleResponse): _SetMemberRoleResponse.AsObject;
  static serializeBinaryToWriter(message: _SetMemberRoleResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): _SetMemberRoleResponse;
  static deserializeBinaryFromReader(message: _SetMemberRoleResponse, reader: jspb.BinaryReader): _SetMemberRoleResponse;
}

export namespace _SetMemberRoleResponse {
  export type AsObject = {
  }
}

export enum Role { 
  OWNER = 0,
  OPERATOR = 1,
}
export enum RoleType { 
  SYSTEM = 0,
  CUSTOM = 1,
}
